About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Certificates
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
        POST
      • Get all Certificates
        GET
  1. Certificates

Get all Certificates

GET
/certificates
Retrieves a paginated list of inferred certificates. The endpoint supports searching, pagination, filtering active records, and optionally including associated skills.
CertificateStatusDescription
1Active

Request

Query Params

Header Params

Responses

🟢200OK
text/plain
OK
Bodytext/plain

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/certificates?PageNumber=1&PageSize=100&SearchText=undefined&IncludeSkills=true&activeOnly=true' \
--header 'x-api-key;'
Response Response Example
{
  "items": [
    {
      "certificateId": 56,
      "title": "​SAP Certified Associate - Data Engineer - Data Fabric1",
      "issuer": "coursera",
      "certificateStatus": 1,
      "skills": [
        {
          "taxonomySkillId": 0,
          "skillName": "authorization tracing",
          "description": null,
          "explanation": "The course covers tracing standard and analysis authorizations, indicating the ability to perform routine tasks independently.",
          "proficiency": 3
        },
        {
          "taxonomySkillId": 1235460,
          "skillName": "hierarchy authorizations",
          "description": null,
          "explanation": "The course includes creating hierarchy authorizations, which require a solid grasp of hierarchical data structures and their security implications.",
          "proficiency": 4
        },
        {
          "taxonomySkillId": 1234570,
          "skillName": "navigational attributes security",
          "description": null,
          "explanation": "The course covers creating authorizations for display and navigational attributes, indicating a moderate level of practical application.",
          "proficiency": 4
        },
        {
          "taxonomySkillId": 0,
          "skillName": "SAP Certification",
          "description": null,
          "explanation": "The course prepares learners for certification exams, indicating fundamental competence in the covered topics.",
          "proficiency": 3
        }
      ]
    }
  ],
  "pageNumber": 1,
  "totalPages": 1,
  "totalCount": 2,
  "hasPreviousPage": false,
  "hasNextPage": false
}
Modified at 2026-07-21 10:08:05
Previous
Create certificate with skills
Built with